local createdBarbers = {}

local parent = createElement('parent-barbers')

addEventHandler('onResourceStart', resourceRoot, function()
    setTimer(
        function()
            for k, v in ipairs(BARBERS) do
                local marker = createMarker(v.Marker[1], v.Marker[2], v.Marker[3], 'cylinder', 1, 255, 255, 255, 97)

                if (v.Blip) then
                    local blip = createBlipAttachedTo(marker, v.Blip)
                end

                setElementParent(marker, parent)
                setElementInterior(marker, v.Interior)
                setElementDimension(marker, v.Dimension)

                createdBarbers[marker] = {id = k}
            end
        end, 500, 1
    )
end)

addEventHandler('onMarkerHit', parent, function(player, dimension)
    if (dimension) then
        if (getElementType(player) == 'player' and not isGuestAccount(getPlayerAccount(player))) then
            if (getElementModel(player) == 0) then
                triggerClientEvent(player, 'barbers.showMenu', player, tonumber(createdBarbers[source].id))
            else
                OUTPUT_MESSAGE_SERVER(player, 'Você deve está com a skin do CJ para continuar!', 'error')
            end
        end
    end
end)